from words import woordenBoek

# def woordmatch(kandidaat,patroon):
#     if len(kandidaat) == len(patroon):
#         lkandidaat = list(kandidaat)
#         lpatroon = list(patroon)
#         for index in range(len(lpatroon)):
#             if lpatroon[index] == "?":
#                 lkandidaat[index] = "?"
#         if lpatroon == lkandidaat:
#             return True
#         else:
#             return False

def woordmatch(kandidaat,patroon):
    if len(kandidaat)!=len(patroon):
        return False
    for index in range(len(kandidaat)):
        if kandidaat[index]!=patroon[index] and patroon[index]!="?":
            return False
    return True


def match(patroon,lijst):
    """ Geef lijst van alle woorden uit lijst die
        voldoen aan patroon """
    resultaat=[]
    for kandidaat in lijst:
        if woordmatch(kandidaat,patroon):
            resultaat.append(kandidaat)
    return resultaat



print(match("p??h??",woordenBoek))